Bug 221256 - Review Request: etswitch - A *nix 'minimizer' for a few games
Review Request: etswitch - A *nix 'minimizer' for a few games
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 06:58 EST by Rafał Psota
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-13 18:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafał Psota 2007-01-03 06:58:38 EST
Spec URL: http://rafalzaq.nonlogic.org/fedora/etswitch/etswitch.spec
SRPM URL: http://rafalzaq.nonlogic.org/fedora/etswitch/etswitch-0.1.14-1.fc6.src.rpm
Description: ETswitch is a *nix 'minimizer' for a few games.
Supported games: Wolfenstein: Enemy Territory | Quake III: Arena | QuakeForge
| Quake2(Quake2Forge) | DOOM3 | America's Army: Operations | Nexuiz | Scorched
3D | Alien Arena 2006 / GE / UE / 2007 | Cube |  Tux Racer | jDoom / jHexen /
jHeretic | S.C.O.U.R.G.E | OpenTTD | Trigger | Sauerbraten | GLtron | SuperTux
| Pingus | Neverball / Neverputt | UFO2000 | Kobo Deluxe | chromium B.S.U. |
Wormux | Warzone 2100 | Secret Maryo Chronicles | Descent 2

This is one of my first packages so I'm looking for a sponsor.
Comment 1 Karol Trzcionka 2007-01-03 11:31:57 EST
I am not sponsored, it is prereview.

 * rpmlint output: NULL
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with an GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * Spec is written in English (probably American)
 * The spec file for the package is legible.
 * md5sums are matching (4f924bff0bb4fcded8cb73ff338b8563)
 * package successfully compiles on i386
 * BuildRequires listed well (build succcesfully in mock)
 * no locales
 * there does not need to %post and %postun sections
 * package owns directories probably well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * package consistently use macros
 * the *.desktop is installed with desktop-file-install in the %install section
Comment 2 Mamoru TASAKA 2007-01-09 11:44:58 EST
(Removing NEEDSPONSOR: bug 221727)
Comment 3 Jason Tibbitts 2007-01-26 15:47:28 EST
I note that the summary doesn't seem to tell me much at all about what this
package is actually supposed to do.
Comment 4 Rafał Psota 2007-01-31 18:17:10 EST
"Allows games to be minimized using keyboard shortcut" will be ok?
Comment 5 Francois Aucamp 2007-02-22 05:10:51 EST
This program does not work for me; I've tried using the hard-coded escape keys
("super_L" and "F10") according to the man page, and I've tried setting up
different escape keys using "etswitch -c", but with no luck.
This was tested using warzone2100 and supertux. I am running KDE.
Comment 6 Francois Aucamp 2007-02-22 05:15:28 EST
Just another quick note: your desktop-file-install command has the following entry:

 --add-category X-Fedora

This category is deprecated and should be removed.
Comment 7 Jason Tibbitts 2007-07-06 16:53:03 EDT
There's been no response from the submitter to review comments made 4.5 months
ago.  Setting NEEDINFO; I will close this ticket soon if there is no response.
Comment 8 Jason Tibbitts 2007-07-13 18:34:36 EDT
Closing as promised.

Note You need to log in before you can comment on or make changes to this bug.